## wireless-crda 1.7

=== Makefile ===
# Modify as you see fit, note this is built into crda,
# so if you change it here you will have to change crda.c
REG_BIN?=/usr/lib/crda/regulatory.bin
REG_GIT?=git://git.kernel.org/pub/scm/linux/kernel/git/linville/wireless-regdb.git

PREFIX ?= /usr/
MANDIR ?= $(PREFIX)/share/man/

SBINDIR ?= /sbin/

# Use a custom CRDA_UDEV_LEVEL when callling make install to
# change your desired level for the udev regulatory.rules
CRDA_UDEV_LEVEL?=85
UDEV_LEVEL=$(CRDA_UDEV_LEVEL)-
# You can customize this if your distributions uses
# a different location.
UDEV_RULE_DIR?=/lib/udev/rules.d/

# Used locally to retrieve all pubkeys during build time
PUBKEY_DIR=pubkeys

CFLAGS += -Wall -g

all: $(REG_BIN) crda intersect verify

ifeq ($(USE_OPENSSL),1)
CFLAGS += -DUSE_OPENSSL `pkg-config --cflags openssl`
LDLIBS += `pkg-config --libs openssl`

reglib.o: keys-ssl.c

else
CFLAGS += -DUSE_GCRYPT
LDLIBS += -lgcrypt

reglib.o: keys-gcrypt.c

endif
MKDIR ?= mkdir -p
INSTALL ?= install

NL1FOUND := $(shell pkg-config --atleast-version=1 libnl-1 && echo Y)
NL2FOUND := $(shell pkg-config --atleast-version=2 libnl-2.0 && echo Y)

ifeq ($(NL1FOUND),Y)
NLLIBNAME = libnl-1
endif

ifeq ($(NL2FOUND),Y)
CFLAGS += -DCONFIG_LIBNL20
NLLIBS += -lnl-genl
NLLIBNAME = libnl-2.0
endif

ifeq ($(NLLIBNAME),)
$(error Cannot find development files for any supported version of libnl)
endif

NLLIBS += `pkg-config --libs $(NLLIBNAME)`
CFLAGS += `pkg-config --cflags $(NLLIBNAME)`

ifeq ($(V),1)
Q=
NQ=@true
else
Q=@
NQ=@echo
endif

$(REG_BIN):
	$(NQ) '  EXIST ' $(REG_BIN)
	$(NQ)
	$(NQ) ERROR: The file: $(REG_BIN) is missing. You need this in place in order
	$(NQ) to build CRDA. You can get it from:
	$(NQ)
	$(NQ) $(REG_GIT)
	$(NQ)
	$(NQ) "Once cloned (no need to build) cp regulatory.bin to $(REG_BIN)"
	$(NQ)
	$(Q) exit 1

keys-%.c: utils/key2pub.py $(wildcard $(PUBKEY_DIR)/*.pem)
	$(NQ) '  GEN ' $@
	$(Q)./utils/key2pub.py --$* $(wildcard $(PUBKEY_DIR)/*.pem) $@

%.o: %.c regdb.h
	$(NQ) '  CC  ' $@
	$(Q)$(CC) -c $(CPPFLAGS) $(CFLAGS) -o $@ $<

crda: reglib.o crda.o
	$(NQ) '  LD  ' $@
	$(Q)$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^ $(LDLIBS) $(NLLIBS)

regdbdump: reglib.o regdbdump.o print-regdom.o
	$(NQ) '  LD  ' $@
	$(Q)$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^ $(LDLIBS)

intersect: reglib.o intersect.o print-regdom.o
	$(NQ) '  LD  ' $@
	$(Q)$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^ $(LDLIBS)

verify: $(REG_BIN) regdbdump
	$(NQ) '  CHK  $(REG_BIN)'
	$(Q)./regdbdump $(REG_BIN) >/dev/null

%.gz: %
	@$(NQ) ' GZIP' $<
	$(Q)gzip < $< > $@

install: crda crda.8.gz regdbdump.8.gz
	$(NQ) '  INSTALL  crda'
	$(Q)$(MKDIR) $(DESTDIR)/$(SBINDIR)
	$(Q)$(INSTALL) -m 755 -t $(DESTDIR)/$(SBINDIR) crda
	$(NQ) '  INSTALL  regdbdump'
	$(Q)$(INSTALL) -m 755 -t $(DESTDIR)/$(SBINDIR) regdbdump
	$(NQ) '  INSTALL  $(UDEV_LEVEL)regulatory.rules'
	$(Q)$(MKDIR) $(DESTDIR)/$(UDEV_RULE_DIR)/
	@# This removes the old rule you may have, we were not
	@# putting it in the right place.
	$(Q)rm -f $(DESTDIR)/etc/udev/rules.d/regulatory.rules
	$(Q)sed 's:$$(SBINDIR):$(SBINDIR):' udev/regulatory.rules > udev/regulatory.rules.parsed
	$(Q)ln -sf regulatory.rules.parsed udev/$(UDEV_LEVEL)regulatory.rules
	$(Q)$(INSTALL) -m 644 -t \
		$(DESTDIR)/$(UDEV_RULE_DIR)/ \
		udev/$(UDEV_LEVEL)regulatory.rules
	$(NQ) '  INSTALL  crda.8.gz'
	$(Q)$(MKDIR) $(DESTDIR)$(MANDIR)/man8/
	$(Q)$(INSTALL) -m 644 -t $(DESTDIR)/$(MANDIR)/man8/ crda.8.gz
	$(NQ) '  INSTALL  regdbdump.8.gz'
	$(Q)$(INSTALL) -m 644 -t $(DESTDIR)/$(MANDIR)/man8/ regdbdump.8.gz

clean:
	$(Q)rm -f crda regdbdump intersect *.o *~ *.pyc keys-*.c *.gz \
	udev/$(UDEV_LEVEL)regulatory.rules udev/regulatory.rules.parsed

=== debian/changelog ===
wireless-crda (1.7) jaunty; urgency=low

  * Update wireless-regdb to master-2009-03-09
  * enable passive scanning for world regdomain on other channels

 -- Tim Gardner <tim.gardner@canonical.com>  Tue, 10 Mar 2009 16:49:38 -0600

wireless-crda (1.6) jaunty; urgency=low

  * wireless-regdb: Update to Jan 30, 2009 regdb.
  * crda: Add /usr/local/lib/crda/regulatory.bin as first in path

 -- Tim Gardner <tim.gardner@canonical.com>  Mon, 02 Mar 2009 09:27:02 -0700

wireless-crda (1.5) jaunty; urgency=low

  * Added udev as an install dependency.

 -- Tim Gardner <tim.gardner@canonical.com>  Thu, 12 Feb 2009 16:13:32 +0000

wireless-crda (1.4) jaunty; urgency=low

  * Update to CRDA tip, misc spelling fixes.

 -- Tim Gardner <tim.gardner@canonical.com>  Wed, 04 Feb 2009 01:09:52 -0700

wireless-crda (1.3) jaunty; urgency=low

  * Fix package build problems.

 -- Tim Gardner <tim.gardner@canonical.com>  Mon, 26 Jan 2009 20:08:16 -0700

wireless-crda (1.2) jaunty; urgency=low

  * Updated to crda v1.0.1

 -- Tim Gardner <tim.gardner@canonical.com>  Mon, 26 Jan 2009 14:11:12 -0700

wireless-crda (1.1) jaunty; urgency=low

  * Set 'Architecture: any' in debian/control
  * Added README.ubuntu

 -- Tim Gardner <tim.gardner@canonical.com>  Thu, 15 Jan 2009 15:54:51 +0000

wireless-crda (1.0) jaunty; urgency=low

  * Initial packaging

 -- Tim Gardner <tim.gardner@canonical.com>  Mon, 16 Jun 2008 18:39:46 -0400

=== debian/rules ===
#!/usr/bin/make -f
#
# debian/rules for Ubuntu crda
#
# Use this however you want, just give credit where credit is due.
#
# Copyright (c) 2009 Tim Gardner <tim.gardner@canonical.com>
#

REG_PATH = /usr/lib/crda
RBIN=regulatory.bin
CRDA_PATH = /sbin
UDEVR=/etc/udev/rules.d

pkg=wireless-crda
pkg_dir = $(CURDIR)/debian/$(pkg)

build:
	dh_testdir
	cp keys-gcrypt.c.sav keys-gcrypt.c
	touch keys-gcrypt.c
	$(MAKE) V=1 REG_BIN=$(shell pwd)/$(RBIN)

clean:
	dh_testdir
	dh_testroot
	$(MAKE) clean
	rm -rf $(pkg_dir)
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k -p$(pkg_dir)
	$(MAKE) install REG_BIN=$(shell pwd)/$(RBIN) DESTDIR=$(pkg_dir)
	install -d $(pkg_dir)$(REG_PATH)
	install -o 0 -g 0 -m 644 $(RBIN) $(pkg_dir)$(REG_PATH)/$(RBIN)


binary-indep:

binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs README LICENSE
	dh_install
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## wireless-crda 1.10

=== Makefile ===
--- 
+++ 
@@ -16,12 +16,17 @@
 # a different location.
 UDEV_RULE_DIR?=/lib/udev/rules.d/
 
-# Used locally to retrieve all pubkeys during build time
-PUBKEY_DIR=pubkeys
+# If your distribution requires a custom pubkeys dir
+# you must update this variable to reflect where the
+# keys are put when building. For example you can run
+# with make PUBKEY_DIR=/usr/lib/crda/pubkeys
+PUBKEY_DIR?=pubkeys
 
 CFLAGS += -Wall -g
 
-all: $(REG_BIN) crda intersect verify
+all: all_noverify verify
+
+all_noverify: crda intersect regdbdump
 
 ifeq ($(USE_OPENSSL),1)
 CFLAGS += -DUSE_OPENSSL `pkg-config --cflags openssl`
@@ -71,16 +76,18 @@
 	$(NQ) '  EXIST ' $(REG_BIN)
 	$(NQ)
 	$(NQ) ERROR: The file: $(REG_BIN) is missing. You need this in place in order
-	$(NQ) to build CRDA. You can get it from:
+	$(NQ) to verify CRDA. You can get it from:
 	$(NQ)
 	$(NQ) $(REG_GIT)
 	$(NQ)
 	$(NQ) "Once cloned (no need to build) cp regulatory.bin to $(REG_BIN)"
+	$(NQ) "Use \"make noverify\" to disable verification"
 	$(NQ)
 	$(Q) exit 1
 
 keys-%.c: utils/key2pub.py $(wildcard $(PUBKEY_DIR)/*.pem)
 	$(NQ) '  GEN ' $@
+	$(NQ) '  Trusted pubkeys:' $(wildcard $(PUBKEY_DIR)/*.pem)
 	$(Q)./utils/key2pub.py --$* $(wildcard $(PUBKEY_DIR)/*.pem) $@
 
 %.o: %.c regdb.h

=== debian/changelog ===
wireless-crda (1.10) karmic; urgency=low

  * Updated wireless-regdb to master-2009-08-05

 -- Tim Gardner <tim.gardner@canonical.com>  Tue, 11 Aug 2009 10:11:08 -0600

wireless-crda (1.9) karmic; urgency=low

  * Updated crda to v1.1.0

 -- Tim Gardner <tim.gardner@canonical.com>  Tue, 07 Jul 2009 07:30:51 -0600

wireless-crda (1.8) karmic; urgency=low

  * Updated wireless-regdb to master-2009-04-17
  * Updated crda to v1.0.2

 -- Tim Gardner <tim.gardner@canonical.com>  Mon, 04 May 2009 19:05:47 +0000

## wireless-crda 1.12

=== debian/changelog ===
wireless-crda (1.12) lucid; urgency=low

  * CRDA update - Allows runtime loading of RSA public keys
    from /etc/wireless-regdb/pubkeys

 -- Tim Gardner <tim.gardner@canonical.com>  Tue, 23 Feb 2010 15:46:55 +0000

wireless-crda (1.11) lucid; urgency=low

  * Updated wireless-regdb to master-2009-11-25

 -- Tim Gardner <tim.gardner@canonical.com>  Mon, 30 Nov 2009 13:18:49 -0700

=== debian/control ===
Source: wireless-crda
Section: admin
Priority: optional
Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
Standards-Version: 3.6.2.1
Build-Depends: debhelper (>= 5.0.0), pkg-config, libgcrypt11-dev, libnl-dev
Vcs-Git: http://kernel.ubuntu.com/git-repos/rtg/wireless-crda.git

Package: wireless-crda
Architecture: any
Depends: udev
Description: Wireless Central Regulatory Domain Agent
 This package provides the CRDA agent for wireless drivers to
 determine the regulatory domain channel and power settings.

## wireless-crda 1.13

=== debian/changelog ===
wireless-crda (1.13) natty; urgency=low

  * Updated wireless-regdb to master-2010-11-24
    wireless-regdb: update sha1sum.txt in Makefile and fix REGDB_CHANGED
    wireless-regdb: CZ updates
    wireless-regdb: Add A band in IL
    wireless-regdb: Update the regulatory domain for a few countries.
    wireless-regdb: Enable 40MHz operation for some countries.
    wireless-regdb: update rules for DE
    wireless-regdb: update regulatory.bin based on preceding changes.
    wireless-regdb: _correctly_ update regulatory.bin based on preceding changes

 -- Tim Gardner <tim.gardner@canonical.com>  Mon, 29 Nov 2010 09:04:56 -0700

## wireless-crda 1.14

=== debian/changelog ===
wireless-crda (1.14) oneiric; urgency=low

  * Updated wireless-regdb to master-2011-04-28
    wireless-regdb: update regulatory.bin based on preceding changes
    Update regulatory rules for Netherlands (NL)
    regdb: fix moinmoin plugin license

  * Added crda support for libnl-3.0

 -- Tim Gardner <tim.gardner@canonical.com>  Mon, 08 Aug 2011 10:35:36 -0600

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
 Standards-Version: 3.6.2.1
-Build-Depends: debhelper (>= 5.0.0), pkg-config, libgcrypt11-dev, libnl-dev
-Vcs-Git: http://kernel.ubuntu.com/git-repos/rtg/wireless-crda.git
+Build-Depends: debhelper (>= 5.0.0), pkg-config, libgcrypt11-dev, libnl3-dev
+Vcs-Git: git://kernel.ubuntu.com/ubuntu/wireless-crda.git
 
 Package: wireless-crda
 Architecture: any

## wireless-crda 1.16

=== debian/changelog ===
wireless-crda (1.16) precise; urgency=low

  * Depend on a minimum 1.1.1-1ubuntu2 crda version. Older versions were
    uninstallable.

 -- Tim Gardner <tim.gardner@canonical.com>  Mon, 28 Nov 2011 10:48:18 -0700

wireless-crda (1.15) precise; urgency=low

  * Convert to a meta package that simply depends on crda.

 -- Tim Gardner <tim.gardner@canonical.com>  Mon, 28 Nov 2011 10:00:15 -0700

=== debian/control ===
Source: wireless-crda
Section: admin
Priority: optional
Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
Standards-Version: 3.6.2.1
Build-Depends: debhelper (>= 7.0.0)
Vcs-Git: git://kernel.ubuntu.com/ubuntu/wireless-crda.git

Package: wireless-crda
Architecture: any
Depends: crda (>= 1.1.1-1ubuntu2)
Description: Wireless Central Regulatory Domain Agent
 This package depends on the CRDA agent for wireless drivers to
 determine the regulatory domain channel and power settings.
